import { Service } from '@/Service/Service';
/*****首页接口*****/
class CNRiderDataService {
	private static GetPubRiderInfoPath : string = '/Rider/GetRiderInfo';
	/*****个人信息*****/
	static GetRiderInfo() {
		var result = Service.Request(this.GetPubRiderInfoPath, "GET", {});
		return result;
	}
	
	
	private static GetRiderHomeInfoPath : string = '/Rider/GetRiderHomeInfo';
	/*****获取首页信息*****/
	static GetRiderHomeInfo() {
		var result = Service.Request(this.GetRiderHomeInfoPath, "GET", {});
		return result;
	}
	
	private static CompleteRiderPath : string = '/Rider/CompleteRider';
	/*****完善信息接口*****/
	static CompleteRider(nick:string,headImg:string,idenNumber:string,sex:string,age:number,identityA:string,identityB:string,province:string,city:string,region:string,lat:number,lon:number) {
		var result = Service.Request(this.CompleteRiderPath, "POST", {nick,headImg,idenNumber,sex,age,identityA,identityB,province,city,region,lat,lon});
		return result;
	}
	
	private static GetAddressInfoPath : string = '/User/GetAddressInfo';
	/*****根据经纬度获取地址信息*****/
	static GetAddressInfo(lat:number,lon:number) {
		var result = Service.Request(this.GetAddressInfoPath, "GET", {lat,lon});
		return result;
	}
	
	private static GetRiderAccInfoPath : string = '/Rider/GetRiderAccInfo';
	/*****获取账户信息*****/
	static GetRiderAccInfo() {
		var result = Service.Request(this.GetRiderAccInfoPath, "GET", {});
		return result;
	}
	
	private static UpdateRiderUnitPath : string = '/Rider/UpdateRiderUnit';
	/*****修改基础信息*****/
	static UpdateRiderUnit(headImg:string,sex:string,age:number) {
		var result = Service.Request(this.UpdateRiderUnitPath, "POST", {headImg,sex,age});
		return result;
	}
	
	
	private static UpdateRiderIdentityPath : string = '/Rider/UpdateRiderIdentity';
	/*****修改实名认证*****/
	static UpdateRiderIdentity(nick:string,idenNumber:string,identityA:string,identityB:string) {
		var result = Service.Request(this.UpdateRiderIdentityPath, "POST", {nick,idenNumber,identityA,identityB});
		return result;
	}
	
	private static UpdateRiderOnlinePath : string = '/Rider/UpdateRiderOnline';
	/*****修改上下线*****/
	static UpdateRiderOnline() {
		var result = Service.Request(this.UpdateRiderOnlinePath, "GET", {});
		return result;
	}
	
	
	private static GetRiderExigencyPath : string = '/Rider/GetRiderExigency';
	/*****紧急联系人详情*****/
	static GetRiderExigency() {
		var result = Service.Request(this.GetRiderExigencyPath, "GET", {});
		return result;
	}
	
	private static AddRiderExigencyPath : string = '/Rider/AddRiderExigency';
	/*****添加联系人*****/
	static AddRiderExigency(name:string,phone:string) {
		var result = Service.Request(this.AddRiderExigencyPath, "POST", {name,phone});
		return result;
	}

	private static GetRiderEvaluatePath : string = '/Rider/GetRiderEvaluate';
	/*****骑手评价列表*****/
	static GetRiderEvaluate(type:number,page:number) {
		var result = Service.Request(this.GetRiderEvaluatePath, "GET", {type,page});
		return result;
	}
	
	
	
	
}
export {
	Service,
	CNRiderDataService
}